Jellypod Docs

Replace the podcast cover image

PUT
/v1/podcasts/{podcast_id}/image

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from /settings/api-keys in the Jellypod studio. Send as Authorization: Bearer <key>.

In: header

Path Parameters

podcast_id*string

Podcast UUID

Formatuuid

Request Body

application/octet-stream

Raw image bytes. Set Content-Type to image/jpeg, image/png, or image/webp.

TypeScript Definitions

Use the request body type in TypeScript.

body*file
Formatbinary

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://api.jellypod.com/v1/podcasts/497f6eca-6276-4993-bfeb-53cbbbba6f08/image" \  -H "Content-Type: application/octet-stream" \  -d 'string'
{
  "data": {
    "id": "string",
    "title": "string",
    "description": "string",
    "image_url": "string",
    "host_ids": [
      "string"
    ],
    "languages": [
      "string"
    ],
    "show_order": "episodic",
    "show_visibility": "public",
    "url": "string",
    "rss_feed_url": "string",
    "episode_count": 0,
    "created_at": "string",
    "updated_at": "string"
  }
}

Was this page helpful?